import { batch } from '@preact/signals-react';
import { updateFieldDirty } from './updateFieldDirty';
import { validateIfRequired } from './validateIfRequired';
export function handleFieldEvent(form, field, name, event, validationModes, inputValue) {
    batch(() => {
        // Update value state
        field.value.value = field.transform.reduce((current, transformation) => transformation(current, event), inputValue ?? field.value.value);
        // Update touched state
        field.touched.value = true;
        form.touched.value = true;
        // Update dirty state
        updateFieldDirty(form, field);
        // Validate value if required
        validateIfRequired(form, field, name, { on: validationModes });
    });
}
