/**
 * Creates a validation functions that validates the file size.
 *
 * @param requirement The maximum size.
 * @param error The error message.
 *
 * @returns A validation function.
 */
export function maxSize(requirement, error) {
    return (value) => value &&
        (Array.isArray(value)
            ? [...value].some((file) => file.size > requirement)
            : value.size > requirement)
        ? error
        : '';
}
